LEAPERone Docs

Geocoding

Geocoding, high-precision geocoding, coordinate system conversion

geocode — POI-level Geocoding

Return the latitude and longitude coordinates for a given address.

curl -X POST https://api.leaper.one/v1/address/geocode \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"text": "北京市朝阳区建国路93号万达广场"}'
Data
{
  "offline_geocode": {
    "wgs84": "116.465328,39.908812",
    "gcj02": "116.471607,39.910660"
  }
}

hp-geocode — Building-level Geocoding

Return high-precision latitude and longitude coordinates at the building level.

curl -X POST https://api.leaper.one/v1/address/hp-geocode \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"text": "北京市朝阳区建国路93号万达广场"}'

transfer-coord — Coordinate System Conversion

Convert between GCJ02, WGS84, CGCS2000, and BD09 coordinate systems.

The text parameter for this endpoint takes coordinates instead of an address, and requires an additional srcCoord parameter.

Additional Parameters

ParameterTypeRequiredDescription
textstringYesCoordinates in "longitude,latitude" format
srcCoordstringYesSource coordinate system: gcj02, wgs84, cgcs2000, bd09
dstCoordstringNoTarget coordinate system (returns all systems if omitted)
curl -X POST https://api.leaper.one/v1/address/transfer-coord \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"text": "116.465,39.909", "srcCoord": "gcj02"}'
Data
{
  "coord_transfer": {
    "BD09": "116.471607,39.914660",
    "CGCS2000": "116.458867,39.907680",
    "WGS84": "116.458867,39.907680",
    "GCJ02": "116.465000,39.909000"
  }
}